Come installare FlashPlayer 23 (PPAPI)?

Il file che ottengo dal sito Web ufficiale di Adobe è nel formato di file tar.gz. Ho provato il modo “standard” di installare software con quell’estensione, che non funzionava.

Inoltre, l’installazione utilizzando il repository di Canonical mi dà la versione 11.2, che è molto obsoleta.

È sufficiente installare il pacchetto adobe-flashplugin dal repository Partner .

Si noti che la versione mostrata in chrome: // plugins sarà ancora 11.2.999.999 e non 23. Ciò è anche vero se si scarica il file dalla pagina collegata alla domanda e si posiziona il file libpepflashplayer.so nella cartella di sistema.

Tuttavia, se visiti https://www.adobe.com/software/flash/about/ , dovrebbe mostrare che hai la versione 23.

Il repository di Canonical installa attualmente la versione 11 del plug-in NPAPI e la versione 23 del plug-in PPAPI, quindi no, il PPAPI che installa non è affatto obsoleto. (Presto inizierà anche l’installazione di una versione aggiornata di NPAPI.)

Di conseguenza, tutto ciò che devi fare è abilitare Canonical Partner e installare il pacchetto adobe-flashplugin .

 sudo apt install adobe-flashplugin 

ADOBE COMINCIA A SOSTENERE LINUX IN MODO SPERIMENTALE

Sono riuscito a lavorare nel modo seguente.

Crea una directory nella tua directory utente come pepper

  mkdir ~/pepper 

vai a http://get.adobe.com/flashplayer/otherversions/

nel primo passo, prendi Linux32 o Linux64 (in base alla tua installazione)

nella seconda fase nell’elenco a discesa; raccogliere FP 23.0 for other Linux ..

scarica l’archivio ed estrai i contenuti di tar.gz in ~/pepper

ed esegui il tuo cromo dal terminale

  /usr/bin/chromium-browser --ppapi-flash-path=${HOME}/pepper/libpepflashplayer.so --ppapi-flash-version=`grep -i version ${HOME}/pepper/manifest.json | awk '{print $2}' | awk -F"\"" '{print $2}'`